const path = require('path');

module.exports = {
  devServer: {
    overlay: {
      warnings: true,
      errors: true
    }
  },

  runtimeCompiler: true,

  pluginOptions: {
    'style-resources-loader': {
      preProcessor: 'scss',
      patterns: [path.resolve(__dirname, './src/styles/global.scss')]
    }
  },
  configureWebpack: {
    resolve: {
      alias: {
        type: path.resolve(__dirname, './server/src/client-server-shared/type'),
        const: path.resolve(
          __dirname,
          './server/src/client-server-shared/const'
        )
      }
    }
  }
};
